Bug 32375 - [gl gles2] Not able to get the attribute by function glGetVertexAttribfv
[gl gles2] Not able to get the attribute by function glGetVertexAttribfv
Status: VERIFIED FIXED
Product: Mesa
Classification: Unclassified
Component: glsl-compiler
7.10
All All
: medium minor
Assigned To: Ian Romanick
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2010-12-13 22:41 UTC by Yi Sun
Modified: 2011-05-05 23:16 UTC (History)
0 users

See Also:
i915 platform:
i915 features:


Attachments
gl test case for function GetVertexAttrib (1.50 KB, text/plain)
2010-12-13 22:43 UTC, Yi Sun
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Yi Sun 2010-12-13 22:41:00 UTC
System Environment:
--------------------------
Kernel_version: (drm-intel-fixes)63abf3edaf42d0b9f278df90fe41c7ed4796b6b1
Libdrm:         (master)2.4.23
Mesa:           (7.10)0e50c21e247b6d4246fcc2b583563a8f44bc4249
Xserver:        (server-1.9-branch)xorg-server-1.9.2.902
Xf86_video_intel: (master)2.13.902-1-g71af40a75fbdd1054b1111e8cbe67ad1f97e6613

Bug detailed description:
-------------------------
When we use the function glGetVertexAttribfv to get the attribute, which is loaded by glVertexAttrib before, we're not able to get the value and an error generates.

Reproduce steps:
-------------------------

Build and run the attachment.
Comment 1 Yi Sun 2010-12-13 22:43:47 UTC
Created attachment 41097 [details]
gl test case for function GetVertexAttrib
Comment 2 Ian Romanick 2011-01-25 13:55:31 UTC
I'm lowering the priority on this bug until someone can show me an application that uses this functionality.  I'm not saying we won't fix it, but I am saying that there are a lot of bugs ahead of it.
Comment 3 Ian Romanick 2011-02-04 12:12:33 UTC
Fixed on master by the following commit.  This will be cherry-picked to 7.9 and 7.10 soon.

commit 5c3f1cdbbeb4d787bad7729ccd3f10aa78d113ac
Author: Ian Romanick <ian.d.romanick@intel.com>
Date:   Thu Feb 3 17:56:44 2011 -0800

    mesa: Fix error checks in GetVertexAttrib functions
    
    Querying index zero is not an error in OpenGL ES 2.0.
    
    Querying an index larger than the value returned by
    GL_MAX_VERTEX_ATTRIBS is an error in all APIs.
    
    Fixes bugzilla #32375.
Comment 4 Ian Romanick 2011-02-25 18:10:46 UTC
Fixed on 7.9 (8159bef7) and 7.10 (60675572).
Comment 5 Yi Sun 2011-05-05 23:16:42 UTC
Verified it.